using BS.Shared;

namespace BeWo.Data.Entities
{
    public class RightRelation : BeWoEntityBase
    {
        public static string PropertyName_RightType = "RightType";
        public static string PropertyName_UserGroupOid = "UserGroupOid";

        private UserRightType _RightType;
        private long? _UserGroupOid;

        public virtual UserRightType RightType
        {
            get
            {
                return this._RightType;
            }

            set
            {
                if (this.AreDifferent(this._RightType, value))
                {
                    this._RightType = value;
                }
            }
        }

        public virtual long? UserGroupOid
        {
            get { return _UserGroupOid; }
            set
            {
                if (AreDifferent(_UserGroupOid, value))
                {
                    _UserGroupOid = value;
                }
            }
        }
    }
}